## pygopherd 3.0.1

=== Makefile ===
# Copyright (C) 2002, 2003 John Goerzen
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; version 2 of the License.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
clean:
	-python2.3 setup.py clean --all
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.pyc"`
	-rm -f `find . -name "*.pygc"`
	-rm -f `find . -name "*.class"`
	-rm -f `find . -name "*.bak"`
	-rm -f `find . -name ".cache*"`
	-rm -f *.log *.aux *.dvi *.out *.jtex jadetex.cfg
	-find . -name auth -exec rm -vf {}/password {}/username \;
	-rm -rf build

changelog:
	git log -M -C --find-copies-harder --name-status > ChangeLog

docs: doc/pygopherd.8 doc/pygopherd.ps \
	doc/pygopherd.pdf doc/pygopherd.txt doc/pygopherd.html

doc/pygopherd.8: doc/pygopherd.sgml doc/book.sgml
	docbook2man doc/book.sgml
	docbook2man doc/book.sgml
	-rm manpage.links manpage.refs
	mv pygopherd.8 doc

#doc/pygopherd.html: doc/pygopherd.sgml
#	docbook2html -u doc/pygopherd.sgml
#	mv pygopherd.html doc

doc/pygopherd.html: doc/pygopherd.sgml doc/book.sgml
	docbook2html -u doc/book.sgml
	mv book.html doc/pygopherd.html

#doc/pygopherd.ps: doc/pygopherd.8
#	man -t -l doc/pygopherd.8 > doc/pygopherd.ps

doc/pygopherd.ps: doc/pygopherd.sgml doc/book.sgml doc/manpage.sgml
	docbook2ps \
		doc/book.sgml
	mv book.ps doc/pygopherd.ps

doc/pygopherd.pdf: doc/pygopherd.ps
	ps2pdf doc/pygopherd.ps
	mv pygopherd.pdf doc

doc/pygopherd.txt:
	groff -Tascii -man doc/pygopherd.8 | sed $$'s/.\b//g' > doc/pygopherd.txt

=== debian/changelog ===
pygopherd (3.0.1-2) unstable; urgency=medium

  * Build pygopherd.txt with bash.  Closes: #1036521.
  * Ack NMU.  Closes: #1084562.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 08:36:39 -0500

pygopherd (3.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add dependency on python3-legacy-cgi for Python 3.13 transition
    (Closes: #1084562)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 14 Nov 2024 23:09:57 +0100

pygopherd (3.0.1-1) unstable; urgency=medium

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Sat, 06 Jul 2024 18:49:38 -0500

pygopherd (3.0.0~git20221126.02c65d60-5) unstable; urgency=medium

  * Add dep on python3-zombie-imp, as imp moved out of python 3.12.
    Closes: #1058216.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 21 Dec 2023 06:13:34 -0600

pygopherd (3.0.0~git20221126.02c65d60-4) unstable; urgency=medium

  * Change dependency from transitional package mime-support to new
    package media-types.  Closes: #1050481.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 25 Aug 2023 05:34:55 -0500

=== debian/control ===
Source: pygopherd
Section: net
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 docbook-utils,
 ghostscript,
 python3-all,
 python3-legacy-cgi,
 python3-setuptools,
 python3-zombie-imp,
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.1
Homepage: https://github.com/michael-lazar/pygopherd
Vcs-Browser: https://salsa.debian.org/python-team/packages/pygopherd
Vcs-Git: https://salsa.debian.org/python-team/packages/pygopherd.git

Package: pygopherd
Architecture: all
Depends:
 adduser,
 media-types,
 logrotate,
 python3-legacy-cgi,
 python3-simpletal,
 python3-zombie-imp,
 ${python3:Depends},
 ${misc:Depends},
Provides: gopher-server
Description: Modular Multiprotocol Gopher/HTTP/WAP Server
 This is a modern Gopher server.  It can serve documents
 with Gopher+, standard Gopher (RFC1436), HTTP, and WAP -- all on the same
 port.  Pygopherd features a modular extension system as well as
 loadable scripts and much more.  It contains full support for
 UMN gopherd systems -- including .Links, .names, .cap, searches, etc.
 Pygopherd also supports Bucktooth features such as gophermap files
 and executables.  In addition to all this, there are Pygopherd's own
 extra features.  All features are fully customizable and can be enabled
 or disabled by editing /etc/pygopherd/pygopherd.conf.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pygopherd

%:
	dh $@ --buildsystem=pybuild


# If you need to rebuild the Sphinx documentation:
# Add sphinxdoc to the dh --with line.
#
# And uncomment the following lines.
#execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep:
#	PYTHONPATH=. python3 -m sphinx -N -bhtml \
#	docs/ build/html # HTML generator
#	PYTHONPATH=. python3 -m sphinx -N -bman \
#	docs/ build/man # Manpage generator

execute_after_dh_install:
	mv debian/pygopherd/usr/bin/pygopherd debian/pygopherd/usr/sbin/pygopherd

execute_before_dh_installdocs:
	-rm -f doc/*.pdf doc/*.ps doc/*.txt doc/*.8 doc/*.html
	SHELL=/bin/bash make docs
